#include <bits/stdc++.h>
using namespace std;
int main(){

    int n, m;
    cin >> n >> m;
    int res = n*m;

    if(m%2 == 0){
        for(int i = 0; i < n-2; i+=2){
            res -= ((m/2)-1);
        }
    }
    else{
        for(int i = 0; i < n-2; i+=2){
            res -= m/2;
        }
    }


   

    for(int j = 1; j < n-2; j+=2){
        res -= m/3;
    }

    cout << res;
    return 0;
}